class Series {
    companion object {
        fun slices(length: Int, inpString: String): List<List<Int>>{
            val returnList = mutableListOf<MutableList<Int>>()
            for (i in 0..inpString.length-length){
                val tempList = mutableListOf<Int>()
                for (j in i..i+length - 1){
                    tempList.add(inpString[j].toInt() - 48)
                }
                returnList.add(tempList)
            }

            return returnList
        }
    }
}